MODBUS_SET_FLOAT_ABC(3)

NAME
modbus_set_float_abcd - set a float value in 2 registers using ABCD byte order

SYNOPSIS

void modbus_set_float_abcd(float f, uint16_t *dest);

DESCRIPTION

The modbus_set_float_abcd() function shall set a float to 4 bytes in usual Modbus format. The dest array must be pointer on two 16 bits values to be able to store the full result of the conversion.

RETURN VALUE

There is no return values.

SEE ALSO

modbus_get_float_abcd(3) modbus_set_float_badc(3) modbus_set_float_cdab(3) modbus_set_float_dcba(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com>